gnutls_record_check_corked(3)

NAME
gnutls_record_check_corked - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_record_check_corked(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function checks if there pending corked data in the gnutls buffers --see gnutls_record_cork().

RETURNS
Returns the size of the corked data or zero.

SINCE
3.2.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/